Subject: bug#3452: 23.0.94; display

From: Chong Yidong <[email-masked]>
Date: Mon, 08 Jun 2009 10:47:38 -0400

Kenichi Handa <[email-masked]> writes:

>> > It seems xterm, gnome-terminal, GNU/Linux console, and
>> > mlterm treat U+202D as spacing character, but, Konsole
>> > (KDE's terminal) and kterm treats it as non-spacing
>> > character.
>
>> Wasn't gnome-terminal the one that started this bug report?
>
> I don't know exactly.  RMS's bug report just says "a 37-line
> Linux terminal".

He means the console on GNU/Linux.  I haven't tested there.

The problem I see is on xterm, where the current behavior is very
strange.  For example, with your earlier example:

(with-temp-file "~/atemp" (insert #x202d ?a ?\n))

Visit the file with emacs -nw -Q on an xterm and press C-f a few times.
You'll see that the "a" is displayed one glyph to the right of where it
should be.  Apprently, the console draws #x202d as two spaces, and this
leads to inconsistent display.

The same problem occurs on gnome-terminal.